Index: palm/trunk/SOURCE/poismg_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_mod.f90	(revision 4457)
+++ palm/trunk/SOURCE/poismg_mod.f90	(revision 4649)
@@ -1,81 +1,92 @@
 !> @file poismg.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
-! use statement for exchange horiz added
-! 
+! File re-formatted to follow the PALM coding standard
+!
+!
+! 4457 2020-03-11 14:20:43Z raasch
+! Use statement for exchange horiz added
+!
 ! 4432 2020-02-28 07:43:21Z raasch
-! bugfix for previous revision (vector directive was changed by mistake)
-! 
+! Bugfix for previous revision (vector directive was changed by mistake)
+!
 ! 4429 2020-02-27 15:24:30Z raasch
-! statement added to avoid compile error due to unused dummy argument
-! bugfix: cpp-directives added for serial mode
-! 
+! Statement added to avoid compile error due to unused dummy argument
+! Bugfix: cpp-directives added for serial mode
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3725 2019-02-07 10:11:02Z raasch
-! unused subroutine removed
-! 
+! Unused subroutine removed
+!
 ! 3655 2019-01-07 16:51:22Z knoop
-! unnecessary check eliminated
+! Unnecessary check eliminated
 !
 ! Following optimisations have been made:
-! - vectorisation (for Intel-CPUs) of the red-black algorithm by resorting
-!   array elements with even and odd indices
-! - explicit boundary conditions for building walls removed (solver is
-!   running through the buildings
-! - reduced data transfer in case of ghost point exchange, because only
-!   "red" or "black" data points need to be exchanged. This is not applied
-!   for coarser grid levels, since for then the transfer time is latency bound
-!
-!
+! - Vectorisation (for Intel-CPUs) of the red-black algorithm by resorting array elements with even
+!   and odd indices
+! - Explicit boundary conditions for building walls removed (solver is running through the
+!   buildings)
+! - Reduced data transfer in case of ghost point exchange, because only "red" or "black" data points
+!   need to be exchanged. This is not applied for coarser grid levels, since for then the transfer
+!   time is latency bound
+!
+!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Solves the Poisson equation for the perturbation pressure with a multigrid
-!> V- or W-Cycle scheme.
+!> Solves the Poisson equation for the perturbation pressure with a multigrid V- or W-Cycle scheme.
 !>
 !> This multigrid method was originally developed for PALM by Joerg Uhlenbrock,
-!> September 2000 - July 2001. It has been optimised for speed by Klaus
-!> Ketelsen in November 2014.
-!> 
-!> @attention Loop unrolling and cache optimization in SOR-Red/Black method
-!>            still does not give the expected speedup! 
+!> September 2000 - July 2001. It has been optimised for speed by Klaus Ketelsen in November 2014.
+!>
+!> @attention Loop unrolling and cache optimization in SOR-Red/Black method still does not give the
+!             expected speedup!
 !>
 !> @todo Further work required.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE poismg_mod
- 
-    USE control_parameters,                                                    &
-        ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,                 &
-               bc_dirichlet_s, bc_radiation_l, bc_radiation_n, bc_radiation_r, &
-               bc_radiation_s, grid_level, nesting_offline
-
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, log_point_s
-
-    USE exchange_horiz_mod,                                                    &
+
+    USE control_parameters,                                                                        &
+        ONLY:  bc_dirichlet_l,                                                                     &
+               bc_dirichlet_n,                                                                     &
+               bc_dirichlet_r,                                                                     &
+               bc_dirichlet_s,                                                                     &
+               bc_radiation_l,                                                                     &
+               bc_radiation_n,                                                                     &
+               bc_radiation_r,                                                                     &
+               bc_radiation_s,                                                                     &
+               grid_level,                                                                         &
+               nesting_offline
+
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               log_point_s
+
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
@@ -87,4 +98,5 @@
 
     INTEGER, SAVE                             ::  ind_even_odd    !< border index between even and odd k index
+
     INTEGER, DIMENSION(:), SAVE, ALLOCATABLE  ::  even_odd_level  !< stores ind_even_odd for all MG levels
 
